This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 431954 - SElinux prevents openvpn from reading certificates in a user's home directory
SElinux prevents openvpn from reading certificates in a user's home directory
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 19:10 EST by Orion Poplawski
Modified: 2008-02-08 10:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 10:23:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-02-07 19:10:04 EST
Description of problem:

If you use NM-openvpn to configure a vpn, you'll generally need to put the
certificate files somewhere in your home directory.  selinux prevents this:
Feb  7 16:59:19 cynosure kernel: audit(1202428759.350:6): avc:  denied  { search
} for  pid=26382 comm="openvpn" name="home" dev=sda3 ino=6344577
scontext=system_u:system_r:openvpn_t:s0
tcontext=system_u:object_r:home_root_t:s0 tclass=dir
Feb  7 16:59:19 cynosure nm-openvpn[26382]: Cannot load certificate file
/export/home/orion/client.crt: error:0200100D:system library:fopen:Permission
denied: error:20074002:BIO routines:FILE_CTRL:system lib: error:140AD002:SSL
routines:SSL_CTX_use_certificate_file:system lib

Version-Release number of selected component (if applicable):
selinux-policy-3.0.8-83.fc8


In permissive mode I get:

Feb  7 17:08:55 cynosure kernel: audit(1202429335.828:9): avc:  denied  { search
} for  pid=27090 comm="openvpn" name="home" dev=sda3 ino=6344577
scontext=system_u:system_r:openvpn_t:s0
tcontext=system_u:object_r:home_root_t:s0 tclass=dir
Feb  7 17:08:55 cynosure kernel: audit(1202429335.828:10): avc:  denied  {
search } for  pid=27090 comm="openvpn" name="orion" dev=sda3 ino=6344578
scontext=system_u:system_r:openvpn_t:s0
tcontext=unconfined_u:object_r:unconfined_home_dir_t:s0 tclass=dir
Feb  7 17:08:55 cynosure kernel: audit(1202429335.828:11): avc:  denied  { read
} for  pid=27090 comm="openvpn" name="client.crt" dev=sda3 ino=6351654
scontext=system_u:system_r:openvpn_t:s0
tcontext=unconfined_u:object_r:unconfined_home_t:s0 tclass=file
Feb  7 17:08:55 cynosure kernel: audit(1202429335.829:12): avc:  denied  {
getattr } for  pid=27090 comm="openvpn" path="/export/home/orion/client.crt"
dev=sda3 ino=6351654 scontext=system_u:system_r:openvpn_t:s0
tcontext=unconfined_u:object_r:unconfined_home_t:s0 tclass=file
Comment 1 Daniel Walsh 2008-02-08 10:23:45 EST
openvpn_enable_homedirs needs to be turned on .

setsebool -P openvpn_enable_homedirs=1

Note You need to log in before you can comment on or make changes to this bug.